Continue to Site

Welcome to EDAboard.com

Welcome to our site! EDAboard.com is an international Electronics Discussion Forum focused on EDA software, circuits, schematics, books, theory, papers, asic, pld, 8051, DSP, Network, RF, Analog Design, PCB, Service Manuals... and a whole lot more! To participate you need to register. Registration is free. Click here to register now.

Creating a Bond Wire Using VBS

Status
Not open for further replies.

MarkGInAz

Newbie level 1
Joined
Jun 23, 2016
Messages
1
Helped
0
Reputation
0
Reaction score
0
Trophy points
1
Activity points
9
Hello,
I've output a script that adds a line (as a bondwire), then changes it to a JEDEC 4 point bondwire. It then changes it to give it a netname, object name, width...
The problem is that when you want to play it back, I noticed the original name gets changed to a random name (ex "Plg_1372")
How can one write a script (vbs) to create a bond wire and give it properties.

Code:
Dim oAnsoftApp
Dim oDesktop
Dim oProject
Dim oDesign
Dim oEditor
Dim oModule
Set oAnsoftApp = CreateObject("Ansoft.ElectronicsDesktop")
Set oDesktop = oAnsoftApp.GetAppDesktop()
oDesktop.RestoreWindow
Set oProject = oDesktop.SetActiveProject("Test2")
Set oDesign = oProject.SetActiveDesign("0850714")
Set oEditor = oDesign.SetActiveEditor("Layout")
oEditor.CreateLine Array("NAME:Contents", "lineGeometry:=", Array("Name:=", "L1",  _
  "LayerName:=", "WIRES", "lw:=", "0.5mm", "endstyle:=", 0, "StartCap:=", 0,  _
  "n:=", 2, "U:=", "mm",  _
  "x:=", -2.58133790588363, "y:=", 4.23263385511796,  _
  "x:=", -4.70714454671725, "y:=", 4.46039996661107))
oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "L1"),  _
  Array("NAME:ChangedProps", Array("NAME:Type", "Value:=", "Cadence APD/Allegro:JEDEC4Bondwire"))))
oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "Plg_1372"),  _
  Array("NAME:ChangedProps", Array("NAME:Name", "Value:=", "W1"))))
oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "W1"),  _
  Array("NAME:ChangedProps", Array("NAME:Net", "Value:=", "TEST"))))
oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "W2"),  _
  Array("NAME:ChangedProps", Array("NAME:Start Layer", "Value:=", "DIEPAD"))))
oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "W2"),  _
  Array("NAME:ChangedProps", Array("NAME:End Layer", "Value:=", "PAD2"))))
oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "W2"),  _
  Array("NAME:ChangedProps", Array("NAME:Material", "Value:=", "" & Chr(34) & "gold" & Chr(34) & ""))))
oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "W2"),  _
  Array("NAME:ChangedProps", Array("NAME:PathWidth", "Value:=", "0.02mm"))))

Thanks and best regards,
Mark
 

Status
Not open for further replies.

Part and Inventory Search

Welcome to EDABoard.com

Sponsor

Back
Top